For the complete documentation index, see llms.txt. This page is also available as Markdown.

Modify a Object storage Key by Key ID

Enables or disables the specified user Object storage key.

put
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
userIdstringRequired

The unique ID of the user.

keyIdstringRequired

The unique ID of the Object storage key.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: https://<API_HOST>/cloudapi/v6/um/users/15f67991-0f51-4efc-a8ad-ef1fb31a480c/s3keys/78fa888e106456c1482d
Responses
202

Successful operation

application/json
put/um/users/{userId}/s3keys/{keyId}
PUT /cloudapi/v6/um/users/{userId}/s3keys/{keyId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "type": "group",
  "metadata": {},
  "properties": {
    "active": true
  }
}
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "group",
  "href": "https://<API_HOST>/cloudapi/v6/um/users/15f67991-0f51-4efc-a8ad-ef1fb31a480c/s3keys/78fa888e106456c1482d",
  "metadata": {
    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
    "createdDate": "2015-12-04T14:34:09.809Z",
    "createdBy": "ionos:identity:::users/63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "createdByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
    "lastModifiedBy": "ionos:identity:::users/63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90"
  },
  "properties": {
    "secretKey": "tFVkUARsoeCdntQs2jVSyGG6TMPfPZ+ghnsWj/gG",
    "active": true
  }
}

Last updated

Was this helpful?